---
author: Pablo Iranzo Gómez
title: Lego Speed Champions 2020 review
tags: Lego, review, speed champions, car, Audi, Quattro, Ferrari, Tributo, Nissan, Nismo, Lego 76897, Lego 76896, Lego 76895
layout: post
date: 2020-02-08 16:30:24 +0100
comments: true
category: blog
description:
lang: en
---

[TOC]

## Introduction on the new models

I recently got the new Lego 2020 sets for the Speed Champions collection,
which feature the new '8 studs' wide.

Overall impression is that it allows more details on the vehicles (and thus,
it gets more pieces, now separated in the instructions in bags 1 and 2).

The new baseplate allows enough space to hold two minifigs, but with a
caveat, the side closer to the external place of the vehicle requires the
minifig to have the arm lowered (not completely because it wouldn't fit).

It also gains space in the middle for more details like the gear shift, hand
brake.

Price seems like 25% higher than the older models, so it's also something to
get into consideration.

Building experience is good, similar to other models, except the more
detailed finishing that might require some more pieces for building.

My main concern about the proportions are the wheels, which are the same
size as the older Speed Champions in 6 studs, so they look a bit 'too small'
compared to the car. Changing the wheels might require also to perform other
changes like the piece that covers the wheel which is also inherited from
the older models.

## Ferrari F8 Tributo

The [Ferrari F8 Tributo 🛒](https://www.amazon.es/dp/B07W5PWLN3?tag=redken-21)
is for me, the 'nicest' one, very nice on the building, low amount of
stickers which is always good... If you're going to buy it, one thing to be
careful of is the 1x1 stud pieces that contain the Ferrari logo and must be
placed in the sides of the car, if you don't pay attention you might end
up having to dismantle for finding them (similar in other Speed Champions
Ferrari models).

My only concern with this one is that I love the hair for the minifigure but
can't be put inside the car with it as the windshield will not close, so
helmet must be put in place.

<div class="elegant-instagram" data-instagram-id="B8T4WCzIhKv"></div>

## Nissan Nismo GT-R

This [Nissan Nismo GT-R 🛒](https://www.amazon.es/dp/B07W7TKVVP?tag=redken-21)
was at the beginning the car I liked the less and was not initially
considering to buy it, but to be honest, I liked a lot building and the
details (like rear brake lights) and it's my kid's preferred one.

<div class="elegant-instagram" data-instagram-id="B8T4wb5oM2h"></div>

## Audi Quattro S1

The third model, [Audi Quattro S1 🛒](https://www.amazon.es/dp/B07W6Q9G1R?tag=redken-21)
is also a very iconical car from the rallies, nice details and... lot of
stickers and you get a very detailed car (with alternative build with extra
front lights as the ones depicted here)

<div class="elegant-instagram" data-instagram-id="B8T4jg-oluV"></div>

## Wrap up

I liked the new models (except for the wheels and the price increase), and
will probably consider the Jaguar and Lamborghini (I specially like the
Lamborghini Huracán Super Trofeo).

Regards and enjoy your builds!

Follow my channel on Telegram on Lego deals at <https://t.me/brickchollo>
